#include <ba_config.h>
#include <ba_sim.h>

static ba_bool exiting_badly;

extern void
ba_assert_exit_badly(void)
{
    if(exiting_badly) {
	goto end;
    }
    exiting_badly = BA_TRUE;
    ba_options_show_options();
    ba_print_flush_info();
    ba_print_flush_data();
    ba_print_flush_error();

 end:
    //    abort(); XXX
    exit(EXIT_FAILURE);
}

extern ba_status
ba_assert_init(void)
{
    exiting_badly = BA_FALSE;

    return BA_STATUS_SUCCESS;
}

extern ba_status
ba_assert_destroy(void)
{

    return BA_STATUS_SUCCESS;
}

extern void
ba_assert_destroy_from_hook(void *unused)
{
    ba_status status;

    status = ba_assert_destroy();
    BA_ASSERT(status == BA_STATUS_SUCCESS);
}
