#include <ba_config.h>
#include <ba_sim.h>

extern void *
ba_mem_malloc(size_t size)
{
    // in case i switch away from glib's alloc, then make sure i crash
    // here on out of memory just like glib does.
    return g_malloc(size);
}

extern void
ba_mem_free(void *ptr)
{
    // ok to free a null; it's just something that was never set.
    g_free(ptr);
}

extern ba_status
ba_mem_init(void)
{

    return BA_STATUS_SUCCESS;
}

extern ba_status
ba_mem_destroy(void)
{

    return BA_STATUS_SUCCESS;
}

extern void
ba_mem_destroy_from_hook(void *unused)
{
    ba_status status;

    status = ba_mem_destroy();
    BA_ASSERT(status == BA_STATUS_SUCCESS);
}
