#ifndef __BA_OPTIONS_H__
#define __BA_OPTIONS_H__

#include <ba_config.h>

extern void ba_options_show_options(void);

extern char *ba_options_exec_name_get(void);
extern char *ba_options_command_line_options_get(void);
extern ba_bool ba_options_quiet_get(void);
extern char *ba_options_data_output_filename_get(void);
extern unsigned int ba_options_random_seed_get(void);
extern char *ba_options_trace_output_filename_get(void);
extern char *ba_options_trace_input_filename_get(void);
extern ba_bool ba_options_treat_req_dis_diff_get(void);
extern ba_sched_behavior_t ba_options_req_sched_behavior_get(void);
extern ba_sched_behavior_t ba_options_dis_sched_behavior_get(void);
extern uint32_t ba_options_num_users_get(void);
extern ba_real ba_options_virtual_clock_terminate_get(void);
extern uint32_t ba_options_max_req_dis_tasks_per_user_get(void);
extern ba_rv_dist_t *ba_options_user_arrivals_dist_get(void);
extern ba_rv_dist_t *ba_options_task_set_change_range_dist_get(void);
extern ba_rv_dist_t *ba_options_tasks_per_task_set_dist_get(void);
extern ba_rv_dist_t *ba_options_service_delta_time_dist_get(void);
extern ba_rv_dist_t *ba_options_think_delta_time_dist_get(void);
extern ba_status ba_options_get_args(int argc, char **argv);
extern ba_status ba_options_parse_args(void);

extern ba_status ba_options_init(void);
extern ba_status ba_options_destroy(void);
extern void ba_options_destroy_from_hook(void *unused);

#endif /* !__BA_OPTIONS_H__ */
