#ifndef __BA_RESOURCE_H__
#define __BA_RESOURCE_H__

#include <ba_config.h>

extern void ba_resource_print(void);
extern ba_bool ba_resource_is_idle(void);
extern ba_event_callback_t ba_resource_busy_callback;
extern void ba_resource_preempt(void);
extern void ba_resource_add_req_resource_usage(ba_real req_resource_usage);

extern ba_status ba_resource_init(void);
extern ba_status ba_resource_destroy(void);
extern void ba_resource_destroy_from_hook(void *unused);

#endif /* !__BA_RESOURCE_H__ */
