#!/usr/bin/perl -w

die "Change this script to use a version of Perl greater than or equal to 5."
    if $PERL_VERSION < 5;

use English;
use strict;

my @vals;
my $count;

while(<STDIN>) {
    chop;
    push @vals, $_;
}

@vals = sort sort_numerically_callback @vals;

$count = @vals;

for(my $i = 0; $i < $count; $i++) {
    my $val = $vals[$i];
    my $frac = ($count - $i) / $count;
    my $nice_frac;
    
    $nice_frac = sprintf "%.3f", $frac;
    
    print "$val, $nice_frac\n";
}

sub sort_numerically_callback
{
    $a <=> $b;
}
