#ifndef __BA_EVENTS_H__
#define __BA_EVENTS_H__

#include <ba_config.h>

#define BA_EVENTS_NOW (0.0)

extern ba_real ba_events_virtual_clock_initial_abs_time_get(void);
extern ba_real ba_events_virtual_clock_abs_time_get(void);
extern void ba_events_add_event(ba_event_kind_t kind,
				ba_real action_delta_time,
				ba_event_callback_t callback,
				void *closure);
extern uint32_t ba_events_remove_events(void *data,
					GCompareFunc func);
extern void ba_events_replace_later_event(ba_event_kind_t kind,
					  ba_real action_delta_time,
					  ba_event_callback_t callback,
					  void *closure);
extern void ba_events_simulate(void);
extern void ba_events_print(void);

extern ba_status ba_events_init(void);
extern ba_status ba_events_destroy(void);
extern void ba_events_destroy_from_hook(void *unused);

#endif /* !__BA_EVENTS_H__ */
