#ifndef __BA_STRING_H__
#define __BA_STRING_H__

#include <ba_config.h>

extern ba_bool ba_string_scan_n_reals(char *in,
				      uint32_t n,
				      ba_real *out);
extern ba_bool ba_string_scan_real(char *in,
				   ba_real *out);
extern ba_bool ba_string_scan_up_to(char *in,
				    char **out,
				    char delim);
extern char *ba_string_append(char *head_str,
			      char *tail_str);

extern char *ba_string_new(char *str_src);
extern char *ba_string_new_len(char *str_src,
			       uint32_t len);
extern void ba_string_delete(char *s);

#endif /* !__BA_STRING_H__ */
